<?php 
require_once("../../conexao.php");

echo <<<HTML
<table id="example" class="table table-striped table-light table-hover my-4">
<thead>
<tr>
<th>Nome</th>
<th>Chave</th>
<th>Grupo</th>	
<th>Página</th>	
<th>Ações</th>	
</tr>
</thead>
<tbody>
HTML;


$query = $pdo->query("SELECT * from acessos order by id desc ");
$res = $query->fetchAll(PDO::FETCH_ASSOC);
for($i=0; $i < @count($res); $i++){
	foreach ($res[$i] as $key => $value){} 

		$id = $res[$i]['id'];
		$nome = $res[$i]['nome'];
		$chave = $res[$i]['chave'];
		$grupo = $res[$i]['grupo'];
		$pagina = $res[$i]['pagina'];

		$query2 = $pdo->query("SELECT * from grupo_acessos where id = '$grupo' ");
$res2 = $query2->fetchAll(PDO::FETCH_ASSOC);
$nome_grupo = @$res2[0]['nome'];

echo <<<HTML
	<tr>
	<td>{$nome}</td>		
	<td>{$chave}</td>	
	<td>{$nome_grupo}</td>	
	<td>{$pagina}</td>	
									
	<td>
	<a href="#" onclick="editar('{$id}', '{$nome}', '{$chave}', '{$grupo}', '{$pagina}')" title="Editar Registro">	<i class="bi bi-pencil-square text-primary"></i> </a>
	<a href="#" onclick="excluir('{$id}' , '{$nome}')" title="Excluir Registro">	<i class="bi bi-trash text-danger"></i> </a>
	</td>
	</tr>
HTML;
} 
echo <<<HTML
</tbody>
</table>
HTML;

?>

<script>
$(document).ready(function() {    
	$('#example').DataTable({
		"ordering": false
	});

} );


function editar(id, nome, chave, grupo, pagina){
	$('#id').val(id);
	$('#nome').val(nome);
	$('#chave').val(chave);
	$('#grupo').val(grupo);
	$('#pagina').val(pagina);
		
	$('#tituloModal').text('Editar Registro');
	var myModal = new bootstrap.Modal(document.getElementById('modalForm'), {		});
	myModal.show();
	$('#mensagem').text('');
}



function limparCampos(){
	$('#id').val('');
	
	$('#nome').val('');
	$('#chave').val('');	
	
	$('#mensagem').text('');
	
}

</script>